Comments  Talk
... by: Sherman
Two of the Unique Rectangle examples on this page can also have the Hidden Unique Rectangle logic applied to them, resulting in even more eliminations.
For example, figure 7 in the Type3b UR discussion has strong links between all four 6's in the UR. If 7 is placed in cell E6, 6's must be placed in cells E4 and J6, forcing a 7 in J4  a deadly pattern. So 7 cannot go in E6. Likewise, 7 cannot go in E4.
The HUR logic can also be applied to figure 6, removing a couple of 3's.
Type 4/4b can be analyzed with HUR, which results in the same eliminations as UR. So in some sense Type 4/4b is really part of the HUR logic.
When you find a Type 2/2b or 3/3b UR, it pays to look at the strong links in it to see if HUR can also be applied. Apply HUR after UR, as it destroys the deadly pattern.
... by: Dan, UK
type 3 can be extended to search for 'triples', even 'quads'. In your examples just a pairs are used  17 in first one, 83 in second one. how about this: http://www.sudokuwiki.org/sudoku.htm?bd=000764381364010572187235000013082607000601035000090018200000159001020700070150820 my solver says: Unique rectangle type 3 at r2c4, r2c6, r8c4 and r8c6 allows 4 and 6 to be eliminated from r8c1, r8c2 you can see a screenshots from my solver here: http://danhen.xf.cz/pics/shared/su_ur3_01.jpg http://danhen.xf.cz/pics/shared/su_ur3_02.jpg
explanation: floor if clearly defined. As the roof contains additional candidates defined as 346, we can search for TWO cells, which contains some of these candidates, but only them, as defined in naked triple rule. As we found two cells 46 and 346, we can consider this as triple (two found cells and two cells from the roof of unique rectangle) and eliminate candidates 346 from the other cells in the unit (as seen on screenshots). HODOKU solver can recognize this 'tripleextendedtype 3' as well :) http://hodoku.sourceforge.net/en/show_example.php?file=u301&tech=Unique+Rectangle+Type+3
The same logic can be used for searching for 'quad', that means four additional candidates in the roof of rectangle, and we'll be looking for THREE cells in a unit, which contains some of those candidates, defined by the rule of naked quad. My solver should be able to solve such a problem, but unfortunatelly I didn't find any game to match this problem :( If ANYONE is able to share game with such a kind of unique rectangle, feel free to post it :)
Dan
... by: Random Sudoku Enthusiast
In the 'Type 1 Unique Rectangles' example (Unique Rectangle Figure 2), can't the same explanation be used for the 2 and the 9 in D2 ?
Logically, it doesn't make sense to eliminate the 2 and the 9 in D1, but not in D2.
It seems that by eliminating the 2 and the 9 in D1, we move the deadly rectangle corner over to D2. Should we then use the same logic to eliminate the 2 and the 9 from D2?
Or are we ignoring that square for the sake of the example?
... by: jaswant singh =sriganganagar INDIA
ref.sudoku puzzle creater UR type 4 =focuses on UR candidates  U R of 3,9 see row J =I remove the 3,3 ofJ2 J3 OTHERWAY= J2,J3,J78 form subset triplet [157].hence 5 of J5 will be removed leaving there inJ5 the 2. In turn J4 will become 3. & in turn3 will be removed from J2andJ3...
... by: DanielKlaus
I found a wonderful UR type 2 example in my own created sudokus: there are 7 eliminations. http://www.sudokuwiki.org/sudoku.htm?bd=000090027030107800600000400001304680080009730003800900379000208000902070452738100
... by: JesseChisholm
I didn't see the pattern on your site, but there is a "Nested Deadly Squares" that is quite rare, but could also be looked for and avoided with much the same techniques as Unique Rectangles.
Picture the group "B" in figure one (where "A" is the Deadly Pattern) Add an expanded copy of group "B" such that: * there are four boxes with a pair of 7/9 cells * there are four rows with a pair of 7/9 cells * there are four cols with a pair of 7/9 cells These eight 7/9 cells together form a Nested Deadly Squares pattern.
Jesse
... by: gerp124
OH! And while I have your attention, I would like to say that I dislike unique rectangles.
I can accept that they're part of the game, and may be the only way to solve a board sometimes, but it seems like such an arbitrary rule. What's so special about singularity? Yes, that was intended as a joke, but I've never seen any aesthetic offense in a puzzle with more than one solution. Except that a single solution cannot then be published. But I've already made my case regarding published solutions :)
... by: gerp124
Thanks very much for the reply Andrew.
And thanks very much for such a wonderful website for years, until I discovered this website, I was completely befuddled as to the solutions that are always published they are not needed, and they are not helpful. If you can finish, you don't need the solution, and if you _can't_ finish, you don't need the solution, rather, you need to know _how_ to get the solution. And this website has provided an wonderful practical education in reasoning via sudoku!
... by: gerp124
I don't see much recent activity, but I hope this gets seen I believe I have found a published contradiction, and so I'm wondering about the phrase above: 'published Sudokus have only one solution'.
In the Sudoku of the Variety section of Minneapolis Star Tribune for Sunday has these values _given_:
2D=9 2E=7 7D=7 7E=9
Does it make a difference, that the values were _given_, as opposed to being values that needed _solving_? The entire puzzle constitutes the _solution_, doesn't it? And these values could move, yielding a second solution, true?
Here is the board as published, and thanks for in any thoughts.
http://www.sudokuwiki.org/sudoku.htm?bd=800002000004000009060908003090004700075801930006300010500403090900000200000700008
Andrew Stuart writes: I get these posts directly, so no worries, I try reply as soon as possible and Sundays are good days for this. You are correctly identifying the deadly pattern in two rows, two columns and two boxes and the numbers are swappable  except as I think you've suggested, it doesn't apply if these are clues. Since clues are fixed they can't be swapped around so the problem of duplicate solutions doesn't arise. Keep an eye out for the simpler URs, they are quite common and useful.
... by: Sonalita
@Thinkist A fundamental premise of Andrew's excellent solver (and any algorithm based solver) is that the puzzle MUST have a unique solution.
It is generally accepted that the definition of a valid sudoku puzzle includes the constraint that there must be a single solution, so your statement of "not believing in uniqueness strategies" makes no sense.
... by: Thinkist
Harmen Dijkstra has a fully valid point. This is why I don't believe in uniqueness strategies and have them unchecked in the solver. If a Sudoku has multiple solutions, so be it.
Andrew Stuart writes: A Sudoku with more than one solution is not a valid puzzle and more than uniqueness strategies will cause it to either a) go down one particular path, or b) create a logical contradiction and get nowhere. Even with uniqueness unticked the solver will not be 'logical' in any real sense. The proof of this is to consider an empty board. What 'logical' strategy is appropriate to solve an empty board?
I am thinking of adding a solution count to the start of the solve "take step" and stop any further progress until the puzzle is fixed. Mostly it is data entry and it causes confusion is people don’t check the solution count first.
... by: B.N.Hobson
A word of caution. The Unique Rectangle doesn't work with Samurai Sudoku (five interlocking Sudoku puzzles). One section may have two answers, but one of them is wrong in relation to rest of the puzzle. i have recently had two cases where the Unique Rectangle gave the wrong answer.
Andrew Stuart writes: The most probable reason for the solver not working on Samurai is that each individual Sudoku lacks all the clues necessary to solve it individually. The overlap provides the extra information necessary to complete the puzzle. It would be necessary to partially solve two overlapping parts before completing them both. Otherwise you might as well have five separate sudokus.
... by: Anton Delprado
There seems to be a lot of room for extension of type 3 or at least the concept of treating the two roof cells as a single virtual. This virtual cell has the union of values in the two roof cells excluding the deadly values.
If we look at type 2 cells from this concept then the virtual cell has a single value and is "solved". This can then be used to eliminate that value in any cell that can see both cells. So type 2 are kinds of type 3 in a sense.
This can also be extended to naked multiples in the joined row/col. For example if roof cells are in the same row and have three nondeadly values that are shared in two other cells in the row then those values can be removed in other cells in the row.
Andrew Stuart writes: Hi Anton Yes, I have a feeling it might be possible to generalize and extend UR types. I'm in touch with someone else who has a good idea about reorganizing the families under different rules. I think you are on a similar track
... by: Chuck Bruno  Virginia
Isn't the example for type 3 also a type 4B, allowing us to remove the 4's from cells B2 and B9?
... by: Alan Freberg
Hi Andrew,
Here's one that I had on hand when I wrote my previous post, but had yet to logic it out. It's fairly straight forward, though. It appears to be a Type 5b as there are three candidates in the ceiling instead of two as in Type 3 or my previous examples.
In the Daily Nightmare for Dec. 29, 2005 the floor cells contain 3/4 in 2 B/D. The ceiling is in Col. 1 where the unsolved cells contain: 6/7/9 (A1), 3/4/7/9 (B1), 3/4/6/7 (D1), 4/7 (E1) and 6/7/9 (H1). The ceiling in cells B/D1 contain the Strong Links (if we can still call them that) 6/7/9. As you explain two cell trivalues on pg. 124, A1 and H1 will be reduced to a Naked Pair whichever of the three is the true value in the ceiling cells . Delete 7(E1).
Thanks again,
Alan Freberg
... by: Alan Freberg
Hi Andrew,
A few months ago I purchased "The Book" with the intention of first reading it and then trying to solve all of Ruud's Daily Sudoku Nightmares. "The Book" was an excellent read. It illuminated several dark corners. There are still some dark corners left, but they are my failings and not yours.
One thing I'm always trying to do with a Sudoku is to find something new or somehow push the envelope past what I know. Having read your book lead me to something of that nature while working on the Nightmares.
My solutions for the Daily Nightmares for March 30, 2006, Feb. 15, 2006, Feb. 2, 2006, Dec, 19 2005 and Dec. 16, 2005 contain a pattern that I have not seen before. They are based on a combined application of Unique Rectangles and Aligned Pair Exclusion. At first I thought they were a variant of your Type 3 URs, but, since they allow for more deletions than Type 3 would, it appears that they are a new variation. I call them UR Type 5 or UR APE App(lication).
In the March 30 DN (please pardon my reverse chronological order, but if you choose to look them up it is the order in which you will find them.) the floor pair are 4/5 in Col. 5 A/C. The ceiling is in Col. 2 where the unsolved cells contain the following candidates: 4/5/6/(A2), 6/8 (B2), 4/5/9 (C2), 4/5/8/9 (E2) and 8/9 (J2). 6/9 are the Strong Link pair in the ceiling. According to the Type 3 rule there are no deletions possible. However, on pg. 122 of the chapter on APE the following rule is given"Any two cells with only abc exclude combinations ab, ac and bc..." Applying this rule to this formation we find that the two cells B2 and J2 contain 6/8/9. However one looks at it, the values for the extra candidates in the ceiling cells are accounted for and 8/9 can be deleted from E2. Notice that 8(E2) is not one of the Strong Link candidates.
In the Feb. 15 DN the floor pair are 3/7 in Row E 1/2. The ceiling is in Row B. The unsolved cells in B contain: 1/3/7 (B1), 3/7/8 (B2), 8/9 (B4), 1/9 (B5) and 3/9 (B9). 1/8 are the Strong Link candidates in the ceiling and 1/8/9 in B4/5 fulfill the APE rule requirements. Delete 9 (B9).
In the Feb. 2 DN the floor pair are 7/8 in Col. 2 G/J. The ceiling is in Col. 6. The unsolved cells in Col. 6 contain: 3/6 (C6), 4/6/8 (D6), 4/6 (E6), 4/7/8 (G6) and 3/4/7/8 (H6). 3/4 are the strong links in the ceiling. 3/4/6 in C/E fulfill the APE rule requirements. Delete 4/6 (D6).
In the Dec. 19 DN the floor pair are 2/6 in Row H 2/3. The ceiling is in Row B. The unsolved cells in Box 1 are: 5/7 (A1), 1/5/7 (A3) and 6/7 (C2). 1/5 are the Strong Link pair in the ceiling with 1/5/7 in A 1/3 completing the APE requirements. Delete 7 (C2).
In the Dec. 16 DN the floor pair are 4/6 in Row D 1/2. The ceiling is in Row G. The unsolved cells in Row G contain: 4/6/7 (G3), 3/5/7 (G7) and 3/5 (G8). 5/7 are the Strong Link pair in the ceiling with 3/5/7 (G7/8) fulfilling the APE rule requirements. Delete 7 (G3).
If this is indeed a new application then you are the godfather of this baby as your explanation of the APE rule pointed the way for me.
Thank you very much,
Alan Freberg
... by: JCS
Andi and John_Ha
I am new to this site but I end to agree with Andi. There is no deadly pattern if R5C6 contains candidates 356.
Applying simple colouring technique to the puzzle will show that 2s can be removed from R2C8 R7C2 R8C7 and R8C9. That causes R2C8 to be a 9, R7C8 a 2, R7C3 a 9, R1C1 a 9, R1C5 a 4, R4C5 a 9, R4C6 a 7. At this stage that leaves 356 as candidates for R5C6. The puzzle can then easily be solved without applying that "unique rectangle" technique ending with a 6 in R5C6.
... by: csvidyasagar
Dear Denis, 1. You are absolutely correct. Type 4 and Type 4 B rely one logic that roof cell may contain a digit which is confined to that row or column or block and can not be removed. So the other digit can be easily removed from thase two cells in Roof Row. In Type 4 example, the Roof Row C has 1,5,6 in cell C1 and C3. Either digit 1 or 5 can be removed to ensure Deadly Pattern does not result leading to two solutions. But 5 is confined both in Row C and in Block Top Left or Block 1. So digit 1 can be removed from both cells in Roof Row C.
Have I confused you further ?
with regards, CS Vidyasagar
... by: csvidyasagar
Dear Andi, 1. When you have three out of four corners in a unique rectangle have two digits (in this case 5,7), then the fourth corner can not have 5,7 as this will have all four corners having 5,7.This is a Deadly pattern as you can have two different solutions. But for a pure Sudoku you have to have only one or unique solution. That is possible only if you remove digits 5,7 which other three corner cells of Unique Rectangle have.
2. You aim must be to reduce maximum number of digits from cells containing multiple candidates. When you can remove 5,7 from 3,5,6,7, of cell R5 C6, you are reducing time to solve the puzzle but also reducing complexity. More candidates in ells mean more complexity and require more time to solve.
3. When you remove 5,7 from cell R5 C6, you see in column 6 you have digit 5 in cell R2C6 and digit 7 in cell R4C6. So the rule of all columns, rows and boxes to contain all digits from 1 to 9 is met.
4. I could only think of three reasons as to why you can remove 5,7 from cell R5 C6.
Have I confused you further ?
with regards, CS Vidyasagar
... by: csvidyasagar
Dear Lea, The four cells you have mentioned have the following pattern:
Col 1 Col 4 Row A 1,5,6 1,5,6
Row D 1, 5 1,5.
This is similar to Unique Rectangle Pattern 2B. That is floor cells are 1,5 and Roof cells are 1,5,6. Since these form a unique rectangle with 1,5 being common in all the four cells to avoid Deadly Pattern ( of all cells having 1,5), you have to keep 6 in Row A i.e. Roof cells. That means 1,5 will be removed later from Roof Cells in Row A. But you can not have two 6s in Row A (Roof Row) as any row can have only one digit in one cell. So remove 6 from any other cell in Roof Row A or in the Block /Box of Roof cells.
Have I confused you further ? with regards, CS Vidyasagar
... by: Harmen Dijkstra
Yes the point is, that there are indeed more solutions. So, if you use unique triangles, and get a solution, you will not know that your solution is a unique solution.
... by: Wiking 48
Hi Harmen Dijkstra, I'm quite new on this.
why do you bother with such a nondefined sudoku? There are many more than 17 sulotions! Check for yourself, you see that 24, 42 in the left of your grid can be excanged. Is there any idea to fight against nondefined?
Upper left corner can also be 1, 2 or 3 which gives a lot of solutions.. Down left corner in your example is 7 in one example which is quite common among the sulotions, 1 is more rare but possible...
... by: Harmen Dijkstra
I made this sudoku:
. 9 .  5 . .  6 4 7 6 . 5  . . 7  . 9 3 . 7 .  . . .  2 5 8  . 5 6  . 7 .  9 . . . . 7 9 . 5 3 8 6 . . 3 8 . 2 4 7 5  . . .  . 5 . 8 3 9 5 6 .  . . . 7 2 . . . .  . . 8 5 6 4
If you filling this sudoku in the sudoku solver, the solution Count will say that there are 17 solutions. But if you try TAKE STEP then you will get only this sudoku (with Unique Rectangles):
2 9 1  5 8 3  6 4 7 6 8 5  2 4 7  1 9 3 3 7 4  1 9 6  2 5 8  8 5 6  3 7 4  9 1 2 4 2 7  9 1 5  3 8 6 9 1 3  8 6 2  4 7 5  7 4 2  6 5 1  8 3 9 5 6 8  4 3 9  7 2 1 1 3 9  7 2 8  5 6 4 But there are more solutions, for example:
1 9 2  5 8 3  6 4 7 6 8 5  2 4 7  1 9 3 3 7 4  6 9 1  2 5 8  8 5 6  3 7 4  9 1 2 2 4 7  9 1 5  3 8 6 9 1 3  8 6 2  4 7 5  4 2 1  7 5 6  8 3 9 5 6 8  4 3 9  7 2 1 7 3 9  1 2 8  5 6 4
The sudoku solver said that (because of Unique Rectangles) R7C4 has to be a 6, but in this example you see that you get an other solution with a 7. Is this a fault in the sudoku solver?
... by: CS Vidyasagar
1. You have given very simple and lucid explanation of difficult concept of Unique Rectangles of four types. One comes across such situations in number of Sudoku puzzles of varying degrees of difficulty. The clear understanding of unique rectangles helps one to get out of log jam one is subjected to frequently in these interesting puzzles. I do not know whether any more explanation can be given to what you have done. Only one has to read your article may be twice but keep the most important lesson you brought out loud and clear that " DO NOT HAVE DEADLY PATTERN OF HAVING FOUR CONJUGATE PAIRS" as that leads to multple solutions. Sudoku permits only unique solution.
2. One has to understand the logic and solution becomes quite clear. You have seleted many good illustrations which have explained the logic clearly and unambiguosly.
3. Looking forward to more such illustrations.
Kudos for wonderful work you are doing. with regards, Vidyasagar
... by: Lea Hayes
Just to clarify my question:
Rectangle Cells: A(1,5,6) B(1,5,6) C(1,5) D(1,5)
Why remove 1 from both A and B and not either of the following:
A(5,6) B(1,5) C(1,5) D(1,5)
or
A(1,5) B(5,6) C(1,5) D(1,5)
... by: Lea Hayes
Re: Type 4 Unique Rectangles  Cracking the Rectangle with Conjugate Pairs
I do not understand how you came to the conclusion that 1 can be removed? Why not remove 6 instead?
... by: John_Ha
Andi
I too was puzzling over that but I think the answer is simple. See Fig 2. (5 and 7) are unsolved in Col 4 otherwise they wouldn't be candidates in R2C4. Similarly (5 and 7) are unsolved in Col 6. Similarly (5 and 7) are unsolved in Row 5. Because the cell at R5C4 is unsolved for 5 and 7, then the centre 3x3 must be unsolved for (5 and 7).
There is therefore no way before now that the cell at R5C6 could have had either 5 or 7 eliminated as candidates because there are no solved (5 or 7) that it can see. The 5 and 7 at R5C6 could not have been eliminated by something happening on R5, nor on C6, nor in its 3x3.
So, the cell at R5C6 MUST have BOTH 5 and 7 as candidates (as well as possibly others, in this case 3 and 6).
Now assume R5C6 is 5  we get the deadly pattern. So R5C6 cannot be 5. Now assume R5C6 is 7  we get the deadly pattern. So R5C6 cannot be 7.
So R5C6 cannot be 5 or 7 and both can be eliminated.
... by: Andi
I do not understand this strategy. In the first example for Type 1 UR, I understand that if 3 or 6 would be removed from R5C6, you would end up with a deadly pattern. That's fine so far.
But I do not see why you can eliminate 5 AND 7 for this reason from R5C6. IMHO, if in R5C6 3,5,6 would be possible, well then this would just imply R5C4 and R2C6 being 7 and R2C4 being 5. An "ordinary" solution. OTOH, if in R5C6 3,6,7 would be possible, R5C4 and R2C6 would be 5 and R2C4 would be 7. Quite straightforward, too. My point is: both possibilities would be valid. But I cannot spot a "deadly pattern" here because to remove the ambiguity in this sitatuation, all you can postulate is that *either* 5 *or* 7 must be removed from the possibilities in R5C6. With either number removed, the ambiguity is removed, thus no deadly pattern anymore. But I just don't see why you eliminate *both* 5 and 7 in R5C6?
Am I missing something?
... by: Dennis Daft
Shouldn't your Type 4B example be "solved" using the Type 2A method? Using this method the 6 in R1C3 and R3C5 would be eliminated, forcing one of the "roof" cells to be a 6. I believe the end result is the same. This would be consistant with only using Type 4 when no other solution is possible.
Dennis

Post a Comment using Facebook...
